petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscOptionsSetValue

Sets an option name-value pair in the options database, overriding whatever is already present.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsSetValue(const char iname[],const char value[])

Not collective, but setting values on certain processors could cause problems for parallel objects looking for options.

### Input Parameters

| name | - name of option, this SHOULD have the - prepended
| value | - the option value (not used for all options)

### Note

Only some options have values associated with them, such as -ksp_rtol tol. Other options stand alone, such as -ksp_monitor.

Developers Note: Uses malloc() directly because PETSc may not yet have been fully initialized

### See Also

PetscOptionsInsert()

Level:intermediate
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex63.cxx.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex74f.F90.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/constrained/examples/tutorials/maros.c.html
src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F.html